Merchant Login

Use this API for AEPS merchant/outlet login. The merchant completes biometric authentication, and the AEPS transaction login is activated.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📘

Header Request

Accept : application/json
Content-Type: application/json
secret : Unique secret key (Provided by Pay2New)
outletId: Unique OutletID (Provided by Pay2New)


Request Parameters


FieldsTypeMandatory (M) , Optional (O), Conditional (C)Description
typeStringMTXN_AUTH for transaction & DAILY_LOGIN for day login
bankiinStringCUnique bank identification number (If transaction type is TXN_AUTH then mandatory)
latitudeStringMOnboard User Current location latitude
longitudeStringMOnboard User Current location longitude
ipStringMOnboard User IPV4 Address
biometricDataArrayMBiometric data details
biometricData.dcStringMReturned by RD Service when using biometric authentication. Registered Device code.
biometricData.ciStringMReturned by RD Service when using biometric authentication. Public key certificate identifier of UIDAI using which skey was encrypted.
biometricData.hmacStringMReturned by RD Service when using biometric authentication. SHA -256 Hash of PID XML and then encrypted and base 64 encoded.
biometricData.dpIdStringMReturned by RD Service when using biometric authentication. Device provider Id.
biometricData.mcStringMReturned by RD Service when using biometric authentication. encrypted registered device public key certificate.
biometricData.pidDataTypeStringMReturned by RD Service when using biometric authentication. Protobuff format or XML format.
biometricData.sessionKeyStringMReturned by RD Service when using biometric authentication. AES session key is generated dynamically for every txn.
biometricData.miStringMReturned by RD Service when using biometric authentication. RD model Id.
biometricData.rdsIdStringMReturned by RD Service when using biometric authentication. RD Service Id.
biometricData.errCodeStringO0(Default)- Request Success
biometricData.errInfoStringOInformation about the error
biometricData.fCountStringOTotal number of FIR records which was part of input.
biometricData.fTypeStringMWhen connecting the Device to RD service send ftype 2 in the request.
biometricData.iCountStringOTotal number of IIR records which was part of input.
biometricData.iTypeStringMISO format (0 for IIR), 0 (IIR) is the default.
biometricData.pCountStringMA number of face photo records are to be captured (0 to 1).
biometricData.pTypeStringMFace format
biometricData.srnoStringMSerial Number of the biometric device.
biometricData.pidDataStringMReturned by RD Service when using biometric authentication.
biometricData.qScoreStringMIf a quality check is done, send a normalized score that is between 0 and 100. Device providers may allow configuration within RD service to use specific quality check algorithms to be enabled.
biometricData.nmPointsStringMNumber of minutiae points when FMR is captured. Applications may use this for accepting or retrying the capture.
biometricData.rdsVerStringMReturned by RD Service when using biometric authentication. RD Service version.
biometricData.aadhaar_numberStringMOnboard User Aadhaar Number

Sample Request

curl --location 'https://pay2new.in/apis/aeps/v1/merchantLogin' \
--header 'secret: Provided by Pay2New' \
--header 'outletId: Provided by Pay2New' \
--header 'Content-Type: application/json' \
--data '{
    "type": "DAILY_LOGIN",
    "latitude": "19.1258",
    "longitude": "74.7453",
    "ip": "101.101.101.101",
    "biometricData": {
        "dc": "ncSXJORuYJy8kE71-ncSXJORuYJy8kE71-ncSXJORuYJy8kE71-ncSXJORuYJy8kE71",
        "ci": "20250923",
        "hmac": "MwM2dgIVncSXJORuYJy8kE71419FF4D2CE9CDMwM2dgIV",
        "dpId": "MANTRA.MSIPL",
        "mc": "ncSXJORuYJy8kE71ncSXJORuYJy8kE71ncSXJORuYJy8kE71ncSXJORuYJy8kE71ncSXJORuYJy8kE71ncSXJORuYJy8kE71ncSXJORuYJy8kE71ncSXJORuYJy8kE71ncSXJORuYJy8kE71",
        "pidDataType": "X",
        "sessionKey": "ncSXJORuYJy8kE71419FF4D2CE9CDncSXJORuYJy8kE71419FF4D2CE9CDncSXJORuYJy8kE71",
        "mi": "MFS100",
        "rdsId": "MANTRA.AND.001",
        "errCode": "0",
        "errInfo": "Capture Success",
        "fCount": "1",
        "fType": "2",
        "iCount": "0",
        "iType": "0",
        "pCount": "0",
        "pType": "0",
        "srno": "5194**7",
        "pidData": "ncSXJORuYJy8kE71419FF4D2CE9CDncSXJORuYJy8kE71419FF4D2CE9CDncSXJORuYJy8kE71419FF4D2CE9CDncSXJORuYJy8kE71419FF4D2CE9CDncSXJORuYJy8kE71419FF4D2CE9CDncSXJORuYJy8kE71419FF4D2CE9CD",
        "qScore": "73",
        "nmPoints": "42",
        "rdsVer": "1.0.8",
        "aadhaar_number": "123456789123"
    }
}'

Response Parameters


NameTypeDescription
statusIntegerPay2New Transaction Status
messageStringMessage from API
order_idArrayPay2New Order Id
dataStringResponce row data

Sample Response

{
  "status": 1,
  "message": "Merchant Login Successful",
  "order_id": "PAY2NEW_ORDER_ID",
  "data": []
}


🚧

Please Note:

To avoid transaction failures and account suspension, for every merchant you need to pass the unique outlet Id in the headers.

Headers
string

(Provided by Pay2New)

string

(Provided by Pay2New)

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json